package de.intevation.flys.client.client;

import com.google.gwt.i18n.client.Messages;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface FLYSMessages extends Messages {

    @DefaultMessage("FLYS-3.0")
    String title();

    @DefaultMessage("Flusshydrologische Software")
    String fullname();

    @DefaultMessage("User: ''{0}''")
    String user(String user);

    @DefaultMessage("guest")
    String guest();

    @DefaultMessage("Projects")
    String projects();

    @DefaultMessage("Manage Projects")
    String manage_projects();

    @DefaultMessage("Logout")
    String logout();

    @DefaultMessage("German")
    String switch_language();

    @DefaultMessage("Info")
    String info();

    @DefaultMessage("No existing projects found.")
    String no_projects();

    @DefaultMessage("Loading projects...")
    String load_projects();

    @DefaultMessage("yyyy-MM-dd")
    String date_format();

    @DefaultMessage("New Project")
    String new_project();

    @DefaultMessage("New Calculation")
    String new_calculation();

    @DefaultMessage("Modul")
    String module_selection();

    @DefaultMessage("Rivers")
    String river_selection();

    @DefaultMessage("WINFO")
    String winfo();

    @DefaultMessage("MINFO")
    String minfo();

    @DefaultMessage("Map")
    String map();

    @DefaultMessage("TODO FIX ANALYSE TODO")
    String fix();

    @DefaultMessage("Next")
    String next();

    @DefaultMessage("Choose calculation location/distance")
    String location_distance_state();

    @DefaultMessage("Location")
    String location();

    @DefaultMessage("Distance")
    String distance();

    @DefaultMessage("km")
    String unitFrom();

    @DefaultMessage("km a")
    String unitTo();

    @DefaultMessage("m")
    String unitWidth();

    @DefaultMessage("km")
    String unitLocation();

    @DefaultMessage("Wrong format")
    String wrongFormat();

    @DefaultMessage("Input for W/Q Data")
    String wqTitle();

    @DefaultMessage("W at gauge [cm]")
    String wqW();

    @DefaultMessage("Q [m³/s]")
    String wqQ();

    @DefaultMessage("Single values")
    String wqSingle();

    @DefaultMessage("Range")
    String wqRange();

    @DefaultMessage("cm")
    String unitWSingle();

    @DefaultMessage("cm -")
    String unitWFrom();

    @DefaultMessage("cm a")
    String unitWTo();

    @DefaultMessage("cm")
    String unitWStep();

    @DefaultMessage("m³/s")
    String unitQSingle();

    @DefaultMessage("m³/s -")
    String unitQFrom();

    @DefaultMessage("m³/s a")
    String unitQTo();

    @DefaultMessage("m³/s")
    String unitQStep();

    @DefaultMessage("/images/next.png")
    String imageNext();

    @DefaultMessage("/images/back.png")
    String imageBack();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
